/**
 * Description of module:
 *
 * Declaracion de valores predeterminados 
 * que se usan en el workspace
 *
 * author: Jorge Saiz Gil
 *
 * revision 1.0 date 24/05/2016
 */


#ifndef CONFIG_H_
#define CONFIG_H_

/*-----------------------------------------------------------
 * DEFINICIONES
 *----------------------------------------------------------*/

#define DEBUG_MODE 					1 // COMENTAR PARA QUITAR LOS MENSAJE DE DEBUG

#define BUFSIZE						0xFF

#define UART_DEBUG					3
#define UART_DEBUG_BR				9600

#define WIFLY_UART					0
#define WIFLY_BAUDRATE				9600

#define DS3231_I2C_PORT				0
#define DS3231_ADDRESS          	0x68

#define I2C_MODE_100kbps 			100000
#define I2C_MODE_400kbps 			400000

#define WIFLY_SYNC_TIME_FREQ		30000 //30 seg //TIEMPO QUE ESPERARA PARA VOLVER A SINCRONIZAR LA HORA
#define WIFLY_RESYNC_TIME_FREQ		10000 //10seg  //TIEMPO QUE ESPERARA PARA SINCRONIZAR SI HA HABIDO ALGUN PROBLEMA
#define WIFLY_NTP_SERVER			"158.227.98.15"
//#define WIFLY_NTP_SERVER			"192.168.1.135"
#define WIFLY_NTP_PORT				"123"


#endif /* CONFIG_H_ */
